Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		kdevelop
#Epoch:		0
Version:	4.0.0
Release:	1
License:	GNU/GPLv2
URL:		http://www.kdevelop.org
Group:		Development
Summary:	KDE Integrated Development Environment
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libX11-devel
BuildRequires: automoc4
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: kdelibs-devel
BuildRequires: kdevplatform-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
kdevelop is an Integrated Development Environment to be used for a wide variety of programming tasks.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/kdevelop
%{_bindir}/kdevelop.bin
%{_libdir}/kde4/kcm_kdevcmake_settings.so
%{_libdir}/kde4/kcm_kdev_makebuilder.so
%{_libdir}/kde4/kdevastyle.so
%{_libdir}/kde4/kdevcmakebuilder.so
%{_libdir}/kde4/kdevcmakedocumentation.so
%{_libdir}/kde4/kdevcmakemanager.so
%{_libdir}/kde4/kdevcpplanguagesupport.so
%{_libdir}/kde4/kdevcustommakemanager.so
%{_libdir}/kde4/kdevgdb.so
%{_libdir}/kde4/kdevindent.so
%{_libdir}/kde4/kdevmakebuilder.so
%{_libdir}/kde4/kdevqthelp.so
%{_libdir}/libkdev4cmakecommon.so
%{_libdir}/libkdev4cppduchain.so
%{_libdir}/libkdev4cppparser.so
%{_libdir}/libkdev4cpprpp.so
%{_applications}/kde4/kdevelop.desktop
%{_datadir}/config/kdeveloprc
%{_datadir}/icons/hicolor/*/apps/cmake.png
%{_datadir}/icons/hicolor/*/apps/kdevelop.png
%{_datadir}/kde4/apps/cmake/modules/FindKDevelop.cmake
%{_datadir}/kde4/apps/kdevappwizard/templates/cmake_plaincpp.tar.bz2
%{_datadir}/kde4/apps/kdevappwizard/templates/cmake_qt4core_qtest.tar.bz2
%{_datadir}/kde4/apps/kdevappwizard/templates/cmake_qt4core.tar.bz2
%{_datadir}/kde4/apps/kdevappwizard/templates/cmake_qt4gui.tar.bz2
%{_datadir}/kde4/apps/kdevcmakebuilder/data.kdev4
%{_datadir}/kde4/apps/kdevcmakemanager/data.kdev4
%{_datadir}/kde4/apps/kdevcppsupport/kdevcppsupport.rc
%{_datadir}/kde4/apps/kdevcustommakemanager/kdevcustommakemanager.rc
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/classnew.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/dbgwatchvar.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/dirsync.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/make_kdevelop.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/methodnew.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/newwidget.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/project_open.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_app.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_lib.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmakerun.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_scopenew.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_scope.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_subclass.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_sub.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qmake_ui_h.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/qtdesigner.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/rebuild.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/reload_page.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/remove_subdir.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/servicenew_kdevelop.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/target_kdevelop.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/targetnew_kdevelop.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/*/actions/variablenew.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/classwiz.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/configure_file.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgmemview.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgnext.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgnextinst.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgparam.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgrestart.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgrun.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgrunto.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgstep.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgstepinst.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgstepout.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/dbgvar.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/debugger.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/grep.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/output_win.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/save_all.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/22x22/actions/tree_win.png
%{_datadir}/kde4/apps/kdevelop/icons/hicolor/32x32/mimetypes/kdevelop_project.png
%{_datadir}/kde4/apps/kdevelop/kdevelop.notifyrc
%{_datadir}/kde4/apps/kdevelop/kdevelopui.rc
%{_datadir}/kde4/apps/kdevelop/pics/code-class.png
%{_datadir}/kde4/apps/kdevelop/pics/code-function.png
%{_datadir}/kde4/apps/kdevelop/pics/CTchildren.png
%{_datadir}/kde4/apps/kdevelop/pics/CTclients.png
%{_datadir}/kde4/apps/kdevelop/pics/CTdisconnected_parents.png
%{_datadir}/kde4/apps/kdevelop/pics/CTparents.png
%{_datadir}/kde4/apps/kdevelop/pics/CTsuppliers.png
%{_datadir}/kde4/apps/kdevelop/pics/CTvirtuals.png
%{_datadir}/kde4/apps/kdevelop/pics/CVclass.png
%{_datadir}/kde4/apps/kdevelop/pics/CVglobal_meth.png
%{_datadir}/kde4/apps/kdevelop/pics/CVglobal_var.png
%{_datadir}/kde4/apps/kdevelop/pics/CVnamespace.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpackage_meth.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpackage_var.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprivate_meth.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprivate_signal.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprivate_slot.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprivate_var.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprotected_meth.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprotected_signal.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprotected_slot.png
%{_datadir}/kde4/apps/kdevelop/pics/CVprotected_var.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpublic_meth.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpublic_signal.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpublic_slot.png
%{_datadir}/kde4/apps/kdevelop/pics/CVpublic_var.png
%{_datadir}/kde4/apps/kdevelop/pics/CVstruct.png
%{_datadir}/kde4/apps/kdevelop/pics/CVtypedef.png
%{_datadir}/kde4/apps/kdevelop/pics/enum.png
%{_datadir}/kde4/apps/kdevelop/pics/field.png
%{_datadir}/kde4/apps/kdevelop/pics/kdevelop-splash.png
%{_datadir}/kde4/apps/kdevelop/pics/namespace.png
%{_datadir}/kde4/apps/kdevelop/pics/private_class.png
%{_datadir}/kde4/apps/kdevelop/pics/private_enum.png
%{_datadir}/kde4/apps/kdevelop/pics/private_field.png
%{_datadir}/kde4/apps/kdevelop/pics/private_function.png
%{_datadir}/kde4/apps/kdevelop/pics/private_struct.png
%{_datadir}/kde4/apps/kdevelop/pics/private_union.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_class.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_enum.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_field.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_function.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_struct.png
%{_datadir}/kde4/apps/kdevelop/pics/protected_union.png
%{_datadir}/kde4/apps/kdevelop/pics/signal.png
%{_datadir}/kde4/apps/kdevelop/pics/slot.png
%{_datadir}/kde4/apps/kdevelop/pics/struct.png
%{_datadir}/kde4/apps/kdevelop/pics/typedef.png
%{_datadir}/kde4/apps/kdevelop/pics/union.png
%{_datadir}/kde4/apps/kdevgdb/kdevgdbui.rc
%{_datadir}/kde4/apps/kdevgdb/printers/gdbinit
%{_datadir}/kde4/apps/kdevgdb/printers/kde4.py
%{_datadir}/kde4/apps/kdevgdb/printers/libstdcxx.py
%{_datadir}/kde4/apps/kdevgdb/printers/qt4.py
%{_datadir}/kde4/services/kcm_kdevcmake_settings.desktop
%{_datadir}/kde4/services/kcm_kdev_makebuilder.desktop
%{_datadir}/kde4/services/kdevastyle.desktop
%{_datadir}/kde4/services/kdevcmakebuilder.desktop
%{_datadir}/kde4/services/kdevcmakedocumentation.desktop
%{_datadir}/kde4/services/kdevcmakemanager.desktop
%{_datadir}/kde4/services/kdevcppsupport.desktop
%{_datadir}/kde4/services/kdevcustommakemanager.desktop
%{_datadir}/kde4/services/kdevgdb.desktop
%{_datadir}/kde4/services/kdevindent.desktop
%{_datadir}/kde4/services/kdevmakebuilder.desktop
%{_datadir}/kde4/services/kdevqthelp.desktop
%{_datadir}/kde4/apps/kdevelop/katepartui.rc
%{_datadir}/mime/packages/kdevelop.xml
%{_locale}/*/LC_MESSAGES/desktop_extragear-sdk_kdevelop.mo
%{_locale}/*/LC_MESSAGES/kdevcmake.mo
%{_locale}/*/LC_MESSAGES/kdevcmakebuilder.mo
%{_locale}/*/LC_MESSAGES/kdevcpp.mo
%{_locale}/*/LC_MESSAGES/kdevcustommake.mo
%{_locale}/*/LC_MESSAGES/kdevelop.mo
%{_locale}/*/LC_MESSAGES/kdevformatters.mo
%{_locale}/*/LC_MESSAGES/kdevgdb.mo
%{_locale}/*/LC_MESSAGES/kdevmakebuilder.mo
%{_locale}/*/LC_MESSAGES/kdevqthelp.mo


%files devel
%defattr(-,root,root)
%{_includedir}/kdevelop/cmake/icmakebuilder.h
%{_includedir}/kdevelop/make/imakebuilder.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Tue Apr 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.9.99-1
- Version update
* Mon Dec 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.9.97-1
- initial CCux package release
- this package replaces the old kde3 version of kdevelop
